package model;

import org.junit.Test;
import static org.junit.Assert.*;

public class FibonacciTester {
    @Test(expected = IllegalArgumentException.class)
    public void FibonacciForNegative(){
        FibonacciGenerator fib = new FibonacciGenerator();
        fib.fib(-1);
    }
    
    @Test
    public void FibonacciFor012345(){
        FibonacciGenerator fib = new FibonacciGenerator();
        assertEquals("Fib(0) != 0", 0, fib.fib(0));
        assertEquals("Fib(1) != 1", 1, fib.fib(1));
        assertEquals("Fib(2) != 1", 1, fib.fib(2));
        assertEquals("Fib(3) != 2", 2, fib.fib(3));
        assertEquals("Fib(4) != 3", 3, fib.fib(4));
        assertEquals("Fib(5) != 5", 5, fib.fib(5));
        assertEquals("Fib(6) != 8", 8, fib.fib(6));
    }    
}
